import "./init";
import { Appearance } from "react-native";
import { onUse } from "../dependencyUsage";
import { UI_MODE_DEPENDENCY_KEY } from "./consts";
export function appearance({ dark, light, default: defaultScheme }) {
  onUse(UI_MODE_DEPENDENCY_KEY);
  // Note: getColorScheme() will always return light when debugging with Chrome.
  if (Appearance.getColorScheme() === "light") {
    return light;
  }
  if (Appearance.getColorScheme() === "dark") {
    return dark;
  }
  return defaultScheme;
}
export const darkAppearance = (dark) => appearance({ dark });
export const lightAppearance = (light) => appearance({ light });
export const noPreferenceAppearance = (defaultScheme) =>
  appearance({ default: defaultScheme });
