const events = {};
export function createEventEmitter(event) {
  const emit = () => (events[event] || []).forEach((fn) => fn());
  const on = (cb) => {
    (events[event] = events[event] || []).push(cb);
    return () => {
      events[event] = events[event].filter((fn) => fn !== cb);
    };
  };
  return { on, emit };
}
