import "./init";
import { onUse } from "../dependencyUsage";
import { UI_MODE_DEPENDENCY_KEY } from "./consts";
import { state } from "./state";
export function uiMode({ dark, light }) {
  onUse(UI_MODE_DEPENDENCY_KEY);
  if (state.mode === "dark") {
    return dark;
  }
  if (state.mode === "light") {
    return light;
  }
  return undefined;
}
export const darkUiMode = (dark) => uiMode({ dark });
export const lightUiMode = (light) => uiMode({ light });
