interface BreakpointsMatcher<TBreakpoints> {
  <T>(values: {
    [mode in keyof TBreakpoints]?: T;
  }): T | undefined;
  <T>(
    values: {
      [mode in keyof TBreakpoints]?: T;
    } & {
      default: T;
    }
  ): T;
}
export declare function createBreakpointsMatcher<
  TBreakpoints extends Record<string, number>
>(
  breakpoints: TBreakpoints,
  matchFunction?: <T>(value: number, styles: T) => T | null
): BreakpointsMatcher<TBreakpoints>;
export declare function createBreakpoints<
  TBreakpoints extends Record<string, number>
>(
  breakpoints: TBreakpoints
): {
  up: <T>(key: keyof TBreakpoints, value: T) => T | null;
  down: <T_1>(key: keyof TBreakpoints, value: T_1) => T_1 | null;
  only: <T_2>(key: keyof TBreakpoints, value: T_2) => T_2 | null;
  between: <T_3>(
    start: keyof TBreakpoints,
    end: keyof TBreakpoints,
    value: T_3
  ) => T_3 | null;
};
export {};
