import { useSafeAreaInsets } from "react-native-safe-area-context";
import { emit } from "./eventEmitter";
import { state } from "./state";
import { useLayoutEffect } from "react";
export function StylexSaveAreaConsumer() {
  const insets = useSafeAreaInsets();
  useLayoutEffect(() => {
    const isChanged = Object.entries(insets).some(
      ([key, value]) => state.insets[key] !== value
    );
    if (isChanged) {
      state.insets = insets;
      emit();
    }
  }, [insets]);
  return null;
}
