import React, { ComponentClass, ExoticComponent, RefAttributes } from "react";
interface InjectedStyledProps<Styles> {
  styles: Styles;
}
export type InferInjectedStyledProps<Fn extends (...args: any) => any> =
  InjectedStyledProps<ReturnType<Fn>>;
type InferRefType<T> = T extends ExoticComponent<infer Props>
  ? Props extends RefAttributes<infer RefType>
    ? RefType
    : never
  : T extends ComponentClass<any>
  ? InstanceType<T>
  : never;
export declare function withStyles<Styles>(
  useStyles: () => Styles
): <TComponent extends React.ComponentType<any>>(
  Component: TComponent
) => React.ForwardRefExoticComponent<
  React.PropsWithoutRef<Omit<React.ComponentProps<TComponent>, "styles">> &
    React.RefAttributes<InferRefType<TComponent>>
>;
export {};
