import React, { forwardRef } from "react";
export function withStyles(useStyles) {
  function WithStyles(Component) {
    const WithStyles = (props, ref) => {
      const styles = useStyles();
      // @ts-expect-error: 'ref' as never
      return <Component {...props} ref={ref} styles={styles} />;
    };
    return forwardRef(WithStyles);
  }
  return WithStyles;
}
